const theo = require('theo');

theo.registerFormat(
  'register-props.js',
  `if (CSS.registerProperty) {
{{#each props as |prop|}}
  {{#if prop.comment}}
  {{{trimLeft (indent (comment (trim prop.comment)))}}}
  {{/if}}
  CSS.registerProperty({
    name: "--{{prop.namespace}}-{{#eq prop.scope "global"}}g-{{/eq}}{{#eq prop.scope "shared"}}s-{{/eq}}{{kebabcase prop.name}}",
    {{#if prop.syntax}}syntax: "{{{prop.syntax}}}",{{/if}}
    {{#eq (typeOf prop.inherits) "boolean"}}inherits: {{prop.inherits}},{{/eq}}
    initialValue: "{{{prop.value}}}",
  });
{{/each}}
}
`,
);
