# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.1.0-alpha.3](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@1.1.0-alpha.2...@salesforce-ux/sds-styling-hooks@1.1.0-alpha.3) (2023-05-16)

**Note:** Version bump only for package @salesforce-ux/sds-styling-hooks





# [1.1.0-alpha.2](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@1.1.0-alpha.1...@salesforce-ux/sds-styling-hooks@1.1.0-alpha.2) (2022-10-13)

**Note:** Version bump only for package @salesforce-ux/sds-styling-hooks





# [1.1.0-alpha.1](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@1.1.0-alpha.0...@salesforce-ux/sds-styling-hooks@1.1.0-alpha.1) (2022-09-19)


### Features

* **sds-styling-hooks:** Add more sizing props, and lineheight props ([#421](https://github.com/salesforce-ux/salesforce-design-system/issues/421)) ([91bc881](https://github.com/salesforce-ux/salesforce-design-system/commit/91bc881b34d31b9928910b0e3c81473ccf257f52))





# [1.1.0-alpha.0](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@1.0.1...@salesforce-ux/sds-styling-hooks@1.1.0-alpha.0) (2022-07-14)


### Features

* **sds-stylelint-config:** Add linter for styling hooks pattern ([#375](https://github.com/salesforce-ux/salesforce-design-system/issues/375)) ([2077982](https://github.com/salesforce-ux/salesforce-design-system/commit/20779826c4a69aba2d74da41ee10b7ca4de3e3d2))





## [1.0.1](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@1.0.0...@salesforce-ux/sds-styling-hooks@1.0.1) (2022-07-14)

**Note:** Version bump only for package @salesforce-ux/sds-styling-hooks





# [1.0.0](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.7.1...@salesforce-ux/sds-styling-hooks@1.0.0) (2022-07-14)


### Features

* **sds-styling-hooks:** Add new system values based on 0-100 range ([#385](https://github.com/salesforce-ux/salesforce-design-system/issues/385)) ([22234bc](https://github.com/salesforce-ux/salesforce-design-system/commit/22234bcc73536bd4e63bafa046fb4a3b3d1d0a1e))


### BREAKING CHANGES

* **sds-styling-hooks:** removed base-[contrast]-1,2,3,4 and inverse relationship palettes. please update values to point to new system values or reference values

 - @salesforce-ux/sds-styling-hooks@1.0.0-alpha.0

* fix(sds-styling-hooks): Update styling hooks for system warning and border

Update warning system colors to use orange palette, update border colors to represent a11y colors.

 - @salesforce-ux/sds-styling-hooks@1.0.0-alpha.1

* feat(sds-styling-hooks): Change font-leading to font-lineheight, remove lineheight category





# [1.0.0-alpha.1](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@1.0.0-alpha.0...@salesforce-ux/sds-styling-hooks@1.0.0-alpha.1) (2022-06-10)


### Bug Fixes

* **sds-styling-hooks:** Update styling hooks for system warning and border ([5103628](https://github.com/salesforce-ux/salesforce-design-system/commit/510362800f7f8e4757fabe204e7ce533099158ad))





# [1.0.0-alpha.0](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.7.1...@salesforce-ux/sds-styling-hooks@1.0.0-alpha.0) (2022-03-30)


### Features

* **sds-styling-hooks:** Add new system values based on 0-100 range ([db0842b](https://github.com/salesforce-ux/salesforce-design-system/commit/db0842b2b5409ed8c29a1fcf16ae531cfc586d20))


### BREAKING CHANGES

* **sds-styling-hooks:** removed base-[contrast]-1,2,3,4 and inverse relationship palettes. please update values to point to new system values or reference values





## [0.7.1](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.7.0...@salesforce-ux/sds-styling-hooks@0.7.1) (2022-01-06)

**Note:** Version bump only for package @salesforce-ux/sds-styling-hooks





# [0.7.0](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.6.2...@salesforce-ux/sds-styling-hooks@0.7.0) (2021-11-18)


### Features

* add shared input color border ([#282](https://github.com/salesforce-ux/salesforce-design-system/issues/282)) ([ce05792](https://github.com/salesforce-ux/salesforce-design-system/commit/ce05792356ab0285ea20e44734d6cb0255f40c1b))





## [0.6.2](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.6.1...@salesforce-ux/sds-styling-hooks@0.6.2) (2021-10-07)

**Note:** Version bump only for package @salesforce-ux/sds-styling-hooks





## [0.6.1](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.6.0...@salesforce-ux/sds-styling-hooks@0.6.1) (2021-08-31)


### Bug Fixes

* **sds-styling-hooks:** Add flexibility to component generating examples ([#235](https://github.com/salesforce-ux/salesforce-design-system/issues/235)) ([df3fb06](https://github.com/salesforce-ux/salesforce-design-system/commit/df3fb060fafaac24643480fa44cb011267fc290e))





# [0.6.0](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.5.0...@salesforce-ux/sds-styling-hooks@0.6.0) (2021-08-11)


### Features

* **sds-styling-hooks:** Add shared link, heading, and button styling hooks ([#219](https://github.com/salesforce-ux/salesforce-design-system/issues/219)) ([b9c4808](https://github.com/salesforce-ux/salesforce-design-system/commit/b9c4808221fc16ec49143b4f150b159bf99bf53b)), closes [#208](https://github.com/salesforce-ux/salesforce-design-system/issues/208)
* **sds-styling-hooks:** Add shared styling hooks for popups, inputs, and containers ([#220](https://github.com/salesforce-ux/salesforce-design-system/issues/220)) ([8593475](https://github.com/salesforce-ux/salesforce-design-system/commit/85934754ec2eac9012bb890de498416aa0f03f79))





# [0.5.0](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.4.4...@salesforce-ux/sds-styling-hooks@0.5.0) (2021-07-28)

**Note:** Version bump only for package @salesforce-ux/sds-styling-hooks





## [0.4.4](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.4.4-alpha.0...@salesforce-ux/sds-styling-hooks@0.4.4) (2021-07-16)

**Note:** Version bump only for package @salesforce-ux/sds-styling-hooks





## [0.4.4-alpha.0](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.4.3...@salesforce-ux/sds-styling-hooks@0.4.4-alpha.0) (2021-07-12)

**Note:** Version bump only for package @salesforce-ux/sds-styling-hooks





## [0.4.3](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.4.2...@salesforce-ux/sds-styling-hooks@0.4.3) (2021-06-03)


### Bug Fixes

* **sds-styling-hooks:** Include shadow hooks within aggregated hooks and update shadow meta ([#173](https://github.com/salesforce-ux/salesforce-design-system/issues/173)) ([3949833](https://github.com/salesforce-ux/salesforce-design-system/commit/394983398cc91a3d1c1f5f3ebd826021c0a91749))





## [0.4.2](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.4.1...@salesforce-ux/sds-styling-hooks@0.4.2) (2021-05-21)


### Features

* **sds-button-toggle:** Add button toggle component ([#86](https://github.com/salesforce-ux/salesforce-design-system/issues/86)) ([44e314f](https://github.com/salesforce-ux/salesforce-design-system/commit/44e314f7958ad2544b8d3149245bb87a47578275))
* **sds-styling-hooks:** Add UI colors for error, warning, and success ([#139](https://github.com/salesforce-ux/salesforce-design-system/issues/139)) ([175dea9](https://github.com/salesforce-ux/salesforce-design-system/commit/175dea911c226d8fae030b4e15dfd710a29fd670))





## [0.4.1](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.4.0...@salesforce-ux/sds-styling-hooks@0.4.1) (2021-05-11)


### Bug Fixes

* **sds-styling-hooks:** Output font family declaration as raw values ([#163](https://github.com/salesforce-ux/salesforce-design-system/issues/163)) ([9e79cef](https://github.com/salesforce-ux/salesforce-design-system/commit/9e79cefa52734a1c60c3096738a630bb6585205b))





# [0.4.0](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.3.0...@salesforce-ux/sds-styling-hooks@0.4.0) (2021-05-11)

**Note:** Version bump only for package @salesforce-ux/sds-styling-hooks





# [0.3.0](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.2.4...@salesforce-ux/sds-styling-hooks@0.3.0) (2021-04-27)


### Features

* **sds-styling-hooks:** Add examples for shadow and spacing ([a6acc80](https://github.com/salesforce-ux/salesforce-design-system/commit/a6acc801128633e7f108da44ce862260a80a9e5c))
* **sds-styling-hooks:** Add remaining spacing values: ([54d60a9](https://github.com/salesforce-ux/salesforce-design-system/commit/54d60a9128aa9deaa24dc623e47b4e5b3185edce))
* **sds-styling-hooks:** Add shadows ([c829ae2](https://github.com/salesforce-ux/salesforce-design-system/commit/c829ae28045ff74e7958a6b15b8bf1ed3a2d19a6))





## [0.2.4](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.2.3...@salesforce-ux/sds-styling-hooks@0.2.4) (2021-04-13)


### Bug Fixes

* **radius:** add new border-radius ([b238510](https://github.com/salesforce-ux/salesforce-design-system/commit/b238510405ba3f15430f07360a61db48bf053b3c))





## [0.2.3](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.2.2...@salesforce-ux/sds-styling-hooks@0.2.3) (2021-04-07)

**Note:** Version bump only for package @salesforce-ux/sds-styling-hooks





## [0.2.2](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.2.1...@salesforce-ux/sds-styling-hooks@0.2.2) (2021-04-07)

**Note:** Version bump only for package @salesforce-ux/sds-styling-hooks





# [0.2.0](https://github.com/salesforce-ux/salesforce-design-system/compare/@salesforce-ux/sds-styling-hooks@0.1.0...@salesforce-ux/sds-styling-hooks@0.2.0) (2021-03-09)


### Features

* **sds-styling-hooks:** Add color palettes ([#108](https://github.com/salesforce-ux/salesforce-design-system/issues/108)) ([3f4632e](https://github.com/salesforce-ux/salesforce-design-system/commit/3f4632e772336d665b631a361c4d2fc7cfdd2ebf))





# 0.1.0 (2021-03-04)


### Features

* **automation:** Add Lerna to manage packages independently  ([#12](https://github.com/salesforce-ux/salesforce-design-system/issues/12)) ([20030ed](https://github.com/salesforce-ux/salesforce-design-system/commit/20030ed73d5bfa707a21c7b9a226ddf1f4c8d27b))
* **sds-styling-hooks:** Add colors, typography, and spacing, generate formats ([#95](https://github.com/salesforce-ux/salesforce-design-system/issues/95)) ([2b89302](https://github.com/salesforce-ux/salesforce-design-system/commit/2b893029980fbe410b38ba468f4060dc5a77a22f))
